CMS Tool API

CMS Tool API schema

Public API version 1.4.10.

/api/images/{imagePath}

Read and update images under /images/ for the authenticated website.

Response types

Name
application/json
application/octet-stream

GET

Read image metadata, or request binary image content with an image Accept type.

Query parameters

NameTypeExampleNotes
srctext/images/112136/example.jpgSelect an image source beginning with /images/.

POST

Upload an image body, or apply ordered JSON edits in place or to saveAs.

Query parameters

NameTypeExampleNotes
srctext/images/112136/example.jpgSelect an image source beginning with /images/.

Request content type: application/json

Request body fields

NameTypeExampleNotes
commandstextexampleSet the commands value.
qualityint123Set the quality value.
backgroundtextexampleSet the background value.
saveAstext/images/112136/example.jpgSave the edited image to this new /images/ path.

Machine-readable documentation

This documentation is also available as JSON or Markdown at the same URL. Request JSON with Accept: application/json or Markdown with Accept: text/markdown.